@import "@/assets/styles/abstracts/mixins";
@import "@/assets/styles/abstracts/variables";


.floating-action__item{
   
    font-weight: bold;
    width: 2rem;
    height: .4rem;
    border-radius: .5rem;
    background-color: white;
    transition: all .3s ease-in-out;
    
}
.floating-action__item--rotated{
    margin-left: -2rem;
    
    // transform: rotate(-90deg);
    transform: rotate(-90deg);
}

.rotated .floating-action__item{
    
    transform: rotate(-45deg);
}

.rotated .floating-action__item--rotated{
    
    
    transform: rotate(45deg);
    
}

.sub-menu__container{
    @include flex-container(center,center,column);
    
   
    font-size: 20px;
    color: black;

    transition: all .2s ease-in;
    opacity: 0;
   
}
.sub-menu__item-icon{
    width: 2.8rem;
    height: 2.8rem;
    
}

.sub-menu__img-container{
    @include flex-container(center,center,column);
    background-color: rgb(255, 255, 255);
    border-radius: 1.6rem;
    

}

.floating-action__sub-menu{
   
    position: absolute;
    top: 0;
    right: 5rem;
   

   
}
.rotated .floating-action__sub-menu{
display: flex;
}
.rotated .floating-action__sub-menu .sub-menu__img-container{
    width: 6.4rem;
    height: 6.4rem;
}
.rotated .floating-action__sub-menu .sub-menu__container:nth-child(1){
    
    
    transform: translate(1rem,-15rem);
    opacity: 1;
   
   
}


.rotated .floating-action__sub-menu .sub-menu__container:nth-child(2){
    transform: translate(-1.5rem,-7.5rem);
 
    opacity: 1;
    
}
.rotated .floating-action__sub-menu .sub-menu__container:nth-child(3){
    transform: translate(-5rem,-1rem);
  
    opacity: 1;
   
}
.sub-menu__item-text{
    font-size: 1.5rem;
    margin-top: .5rem;
    color: white;
    font-weight: 600;
}

.backdrop{
    width: 100vw;
    height: 100vh;
    position: fixed;
    top: 50%;
    right: 50%;
    transform: translate(50%,-50%);
    background-color: rgba(0, 0, 0, 0.56);
    z-index: 97;
 
}



@include respond-to  (medium-desktop){
    .action-button-wrapper{
      
    
        bottom: 6.4rem;
        right: 1.5rem;
        
    }
    .floating-action{
        @include flex-container(center,center,row);
        width: 2.9rem;
        height: 2.9rem;
        
    }
    .floating-action__item{
      
        width: 1.5rem;
        height: .3rem;
        border-radius: .35rem;
        
        
    }
    .floating-action__item--rotated{
        margin-left: -1.5rem;
        
      
     
    }
    
    .rotated .floating-action__sub-menu .sub-menu__img-container{
      width: 4rem;
      height: 4rem;
    }
    .sub-menu__img-container{
        
        border-radius: 1.2rem;
        
    
    }
    
    .sub-menu__item-icon{
        width: 2.1rem;
        height: 2.1rem;
        border-radius: 1.6rem;
    }
    .sub-menu__item-text{
        font-size: 1.3rem;
        margin-top: .37rem;
        white-space: nowrap;
    }
    .rotated .floating-action__sub-menu .sub-menu__container:nth-child(1){
    
    
        transform: translate(.75rem,-11rem);

       
       
    }
    
    
    .rotated .floating-action__sub-menu .sub-menu__container:nth-child(2){
        transform: translate(-1.2rem,-5.7rem);
     
      
        
    }
    .rotated .floating-action__sub-menu .sub-menu__container:nth-child(3){
        transform: translate(-3.2rem,-.75rem);
      

       
    }
}